# Contributing to style-vendorizer

Thank you for taking the time to contribute! Guidelines below are meant to help you along the way. All contributions are welcome, including ideas, tweaks and more.

## Code of Conduct

This project is governed by the [Contributor Covenant Code of Conduct](./CODE_OF_CONDUCT.md). By participating, you are expected to uphold this code.

## Proposing a change

Before making a non-trivial change, please discuss it via [issues].

## Development process

Please keep the scope of each pull request to **one** specific feature or fix.

### Prequisites

- [Node.js](https://nodejs.org/) 10.13+

### Workflow

0. Assign related [issues] to yourself
1. Clone a fork of the `main` branch and install all the required dependencies with `npm install`
2. Make changes to the codebase, executing `npm run build` to bundle the library
3. Record your changes with `npm run commit`, adhering to the [Conventional Commits](https://www.conventionalcommits.org/en/v1.0.0/) specification
4. Open a new pull request, [referencing corresponding issues](https://help.github.com/en/github/managing-your-work-on-github/linking-a-pull-request-to-an-issue#linking-a-pull-request-to-an-issue-using-a-keyword) if available

## License

As a collaborator, you agree to license your contributions under the project's [MIT license](./LICENSE).

[issues]: https://github.com/kripod/style-vendorizer/issues
